> ## Documentation Index
> Fetch the complete documentation index at: https://developer.hellgate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Signature



## OpenAPI

````yaml /products/commerce/v1/integration/extensions/openapi.yaml get /sepa-mandates/{id}
openapi: 3.1.0
info:
  title: Commerce V1 Extension Services API
  version: '1.0'
  description: >
    This specification describes the HTTP endpoints that your services can
    implement to extend Hellgate Commerce V1.  Commerce V1 calls these endpoints
    during payment processing flows.
  contact:
    name: Starfish GmbH & Co. KG
    email: hello@starfish.team
    url: https://hellgate.io/cpa/commerce
  license:
    name: Hellgate API Terms
    url: https://hellgate.io/terms-and-conditions
servers:
  - url: https://your.service.com
    description: Your extension service
security:
  - ApiKey: []
paths:
  /sepa-mandates/{id}:
    get:
      summary: Get Signature
      operationId: get_mandate_signature
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Mandate found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MandateShowResponse'
        4XX:
          description: Generic service error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServiceError'
components:
  schemas:
    MandateShowResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - OPEN
            - SIGNED
            - REJECTED
            - EXPIRED
            - UNKNOWN
        expiration_date:
          type: string
          format: date
        signees:
          type: array
          items:
            $ref: '#/components/schemas/SigneeStatus'
    ServiceError:
      type: object
      required:
        - classifier
        - message
      properties:
        classifier:
          type: string
        message:
          type: string
    SigneeStatus:
      type: object
      properties:
        email:
          type: string
          format: email
        signature_status:
          type: string
          enum:
            - OPEN
            - REJECTED
            - SIGNED
            - UNKOWN
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key

````